%define	oname	bimp
%define abi_version 2.0

Name:		gimp-plugin-bimp
Summary:	Batch Image Manipulation Plugin
Version:	2.6
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphics/Editors and Converters
Url:		https://www.alessandrofrancesconi.it/projects/bimp/
Source0:	https://github.com/alessandrofrancesconi/gimp-plugin-bimp/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/alessandrofrancesconi/gimp-plugin-bimp/issues/411
Patch1:		0001-added_-fpermissive-flag-to-resolve-compile-error.patch
BuildRequires:	pkgconfig(gimp-%{abi_version})
Requires:	gimp >= 2.6.0
Provides:	%{oname} = %{version}

%description
Use BIMP to apply a set of GIMP manipulations to groups of images.
It provides an easy to use interface and a lot of functions!
It's written in C using the latest GTK directives.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
install -D -m755 bin/%{oname} %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/%{oname}
cp -af bimp-locale/ %{buildroot}%{_libdir}/gimp/%{abi_version}/plug-ins/

# remove unneeded files
find %{buildroot} -name "*.po" -delete

%files
%{_libdir}/gimp/%{abi_version}/plug-ins/%{oname}
%{_libdir}/gimp/%{abi_version}/plug-ins/%{oname}-locale/


%changelog
* Wed Sep 25 2024 daviddavid <daviddavid> 2.6-2.mga10
+ Revision: 2101094
- backport upstream patch to fix build with GCC 14

* Mon Feb 06 2023 daviddavid <daviddavid> 2.6-1.mga9
+ Revision: 1938778
- new version: 2.6
- revert back to gimp 2.0
- remove merged upstream patches
+ luigiwalser <luigiwalser>
- replace 3.0 with 2.99, fixing previous mistake
- change 2.0 to 3.0 in patch 0
- try rebuilding gimp plugin

* Thu Oct 22 2020 akien <akien> 2.4-1.mga8
+ Revision: 1638481
- Version 2.4
- Fix build with GCC 10 and send patches upstream

* Tue Feb 11 2020 umeabot <umeabot> 1.18-2.mga8
+ Revision: 1489048
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 09 2018 wally <wally> 1.18-1.mga7
+ Revision: 1257914
- new version 1.18

* Wed Sep 13 2017 cjw <cjw> 1.11-5.mga7
+ Revision: 1153494
- fix passing of optflags to make

* Mon Feb 08 2016 umeabot <umeabot> 1.11-4.mga6
+ Revision: 948170
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.11-3.mga5
+ Revision: 745746
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.11-2.mga5
+ Revision: 679580
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 tv <tv> 1.11-1.mga5
+ Revision: 667225
- new release

* Fri Oct 18 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 521727
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.5-3.mga3
+ Revision: 391829
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 matteo <matteo> 0.5-1.mga3
+ Revision: 261724
- drop %%find_lang
- imported package gimp-plugin-bimp

